import React from "react";
import { Box } from "@mui/material";
import AboutSystemComponent from "./AboutSystemComponent";
import SystemVersionContainer from "./SystemVersionContainer";

const styles = {
  page: {
    display: "flex",
    flexDirection: "column"
  },
  element: {
    marginTop: 1
  }
};

const AboutSystemContainer = () => {
  const handleOpenInNewTab = url => event => {
    window.open(url, "_blank");
    event.preventDefault();
  };

  return (
    <Box sx={styles.page}>
      <AboutSystemComponent handleOpenInNewTab={handleOpenInNewTab} />
      <Box sx={styles.element}>
        <SystemVersionContainer />
      </Box>
    </Box>
  );
};

export default AboutSystemContainer;
